﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
namespace BOTDerby.Test
   {
   public partial class TextBoxTest : System.Web.UI.Page
      {
      double LastWeekVal = 1000.0;
      protected void Page_Load(object sender, EventArgs e)
         {

         }
      protected void Page_Init(object sender, EventArgs e)
         {
         RadWizardStep step = new RadWizardStep();
         step.ID = "Step1";
         step.Title = "Step1";
         RadWizardStep step2 = new RadWizardStep();
         step2.ID = "Step2";
         step2.Title = "Step2";



         RadWizard1.WizardSteps.Add(step);
         RadWizard1.WizardSteps.Add(step2);
         }
      protected void RadWizard1_NextButtonClick(object sender, Telerik.Web.UI.WizardEventArgs e)
         {

         }

      protected void RadWizard1_WizardStepCreated(object sender, WizardStepCreatedEventArgs e)
         {
         if (e.RadWizardStep.Index != 0)
            return;

         RadTextBox rcbDrop = new RadTextBox();
         rcbDrop.LabelWidth = Unit.Pixel(75);
         rcbDrop.Width = Unit.Pixel(150);
         rcbDrop.Label = "% Drop";
         rcbDrop.AutoPostBack = true;
         rcbDrop.TextChanged += rcbDrop_TextChanged;
         rcbDrop.ID = "drop";
         e.RadWizardStep.Controls.Add(rcbDrop);

         e.RadWizardStep.Controls.Add(new Literal() { Text = "<br /><br />" });

         RadNumericTextBox rcbPrediction = new RadNumericTextBox();
         rcbPrediction.LabelWidth = Unit.Pixel(75);
         rcbPrediction.Width = Unit.Pixel(150);
         rcbPrediction.Label = "Prediction";
         rcbPrediction.AutoPostBack = true;
         rcbPrediction.TextChanged += rcbPrediction_TextChanged;
         rcbPrediction.ID = "Prediction";
         rcbPrediction.NumberFormat.DecimalDigits = 2;
         rcbPrediction.DbValue = 0.0;
         e.RadWizardStep.Controls.Add(rcbPrediction);
         }

      private double CalculateDrop(double Prediction, double LastWeek)
         {
         return Math.Round(-1.0 * (100.0 - (((double)Prediction / (double)LastWeek) * 100.0)), 2);
         }
      protected void rcbPrediction_TextChanged(object sender, EventArgs e)
         {
         RadNumericTextBox rcbPrediction = (RadNumericTextBox)sender;


         double Prediction = Convert.ToDouble(rcbPrediction.DbValue);


         if (Prediction > 0.0)
            {
            RadWizardStep step = (RadWizardStep)rcbPrediction.Parent;
            RadTextBox rcbDrop = (RadTextBox)step.FindControl("drop");

            rcbDrop.Text = CalculateDrop((double)Prediction, LastWeekVal).ToString(); 
            }
         }
      protected void rcbDrop_TextChanged(object sender, EventArgs e)
         {
         RadTextBox rcbDrop = (RadTextBox)sender;


         double newValue = Convert.ToDouble(rcbDrop.Text);
         double drop = Math.Round(LastWeekVal * (newValue / 100.0), 2);
         double Prediction = LastWeekVal + drop;

         RadWizardStep step = (RadWizardStep)rcbDrop.Parent;
         RadNumericTextBox rcbPrediction = (RadNumericTextBox)step.FindControl("Prediction");
         rcbPrediction.DbValue = Prediction;
         }

      }
   }